| Flutter Impeller |

Functions
impeller::allocation_size_literals Namespace Reference

## Functions
constexpr Bytes | operator""_bytes (unsigned long long int size)
constexpr KiloBytes | operator""_kb (unsigned long long int size)
constexpr MegaBytes | operator""_mb (unsigned long long int size)
constexpr GigaBytes | operator""_gb (unsigned long long int size)
constexpr KibiBytes | operator""_kib (unsigned long long int size)
constexpr MebiBytes | operator""_mib (unsigned long long int size)
constexpr GibiBytes | operator""_gib (unsigned long long int size)

## Function Documentation

## ◆ operator""_bytes()

constexpr Bytes impeller::allocation_size_literals::operator""_bytes | ( | unsigned long long int | size | ) |
| constexpr

Definition at line 142 of file allocation_size.h.

142 {
143 return Bytes{size};
144 }
impeller::Bytes
AllocationSize< 1u > Bytes
Definition: allocation_size.h:129

## ◆ operator""_gb()

constexpr GigaBytes impeller::allocation_size_literals::operator""_gb | ( | unsigned long long int | size | ) |
| constexpr

Definition at line 157 of file allocation_size.h.

157 {
158 return GigaBytes{size};
159 }
impeller::GigaBytes
AllocationSize< 1 '000u *1 '000u *1 '000u > GigaBytes
Definition: allocation_size.h:133

## ◆ operator""_gib()

constexpr GibiBytes impeller::allocation_size_literals::operator""_gib | ( | unsigned long long int | size | ) |
| constexpr

Definition at line 172 of file allocation_size.h.

172 {
173 return GibiBytes{size};
174 }
impeller::GibiBytes
AllocationSize< 1 '024u *1 '024u *1 '024u > GibiBytes
Definition: allocation_size.h:137

## ◆ operator""_kb()

constexpr KiloBytes impeller::allocation_size_literals::operator""_kb | ( | unsigned long long int | size | ) |
| constexpr

Definition at line 147 of file allocation_size.h.

147 {
148 return KiloBytes{size};
149 }
impeller::KiloBytes
AllocationSize< 1 '000u > KiloBytes
Definition: allocation_size.h:131

## ◆ operator""_kib()

constexpr KibiBytes impeller::allocation_size_literals::operator""_kib | ( | unsigned long long int | size | ) |
| constexpr

Definition at line 162 of file allocation_size.h.

162 {
163 return KibiBytes{size};
164 }
impeller::KibiBytes
AllocationSize< 1 '024u > KibiBytes
Definition: allocation_size.h:135

## ◆ operator""_mb()

constexpr MegaBytes impeller::allocation_size_literals::operator""_mb | ( | unsigned long long int | size | ) |
| constexpr

Definition at line 152 of file allocation_size.h.

152 {
153 return MegaBytes{size};
154 }
impeller::MegaBytes
AllocationSize< 1 '000u *1 '000u > MegaBytes
Definition: allocation_size.h:132

## ◆ operator""_mib()

constexpr MebiBytes impeller::allocation_size_literals::operator""_mib | ( | unsigned long long int | size | ) |
| constexpr

Definition at line 167 of file allocation_size.h.

167 {
168 return MebiBytes{size};
169 }
impeller::MebiBytes
AllocationSize< 1 '024u *1 '024u > MebiBytes
Definition: allocation_size.h:136